Method: projects.locations.apps.exportApp

导出指定的应用。

HTTP 请求

POST https://ces.googleapis.com/v1/{name=projects/*/locations/*/apps/*}:exportApp

网址采用 gRPC 转码语法。

路径参数

参数
name

string

必需。要导出的应用的资源名称。

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{
  "exportFormat": enum (ExportAppRequest.ExportFormat),
  "gcsUri": string,
  "appVersion": string
}
字段
exportFormat

enum (ExportAppRequest.ExportFormat)

必需。导出应用时采用的格式。

gcsUri

string

可选。要将应用导出到的 Google Cloud Storage URI。此 URI 的格式必须为 gs://<bucket-name>/<object-name>。导出的应用归档将直接写入指定的 Cloud Storage 对象。

appVersion

string

可选。要导出的应用版本的资源名称。格式:projects/{project}/locations/{location}/apps/{app}/versions/{version}。

响应正文

如果成功,则响应正文包含一个 Operation 实例。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

如需了解详情,请参阅 Authentication Overview。

IAM 权限

需要拥有 name 资源的以下 IAM 权限:

  • ces.apps.export

如需了解详情,请参阅 IAM 文档。

ExportAppRequest.ExportFormat

应用的导出格式。

枚举
EXPORT_FORMAT_UNSPECIFIED 未指定导出格式。
JSON 导出格式为 JSON。
YAML 导出格式为 YAML。